import { registerCodeBlockRenderer } from ".";
import { SvelteCodeBlockRenderer } from "./SvelteCodeBlockRenderer";
import AToZChallengeCodeBlockView from "./AToZChallengeCodeBlockView.svelte";
import type BookTrackerPlugin from "@src/main";
import z from "zod/v4";

export function registerAToZChallengeCodeBlockProcessor(
	plugin: BookTrackerPlugin
): void {
	registerCodeBlockRenderer(
		plugin,
		"a-to-z-challenge",
		(source, el) =>
			new SvelteCodeBlockRenderer(
				AToZChallengeCodeBlockView,
				plugin,
				source,
				el
			)
	);
}

export const AToZChallengeSettingsSchema = z.object({
	coverProperty: z.string(),
	titleProperty: z.string(),
});
